---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab issue update`

Update issue

```plaintext
glab issue update <id> [flags]
```

## Examples

```plaintext
glab issue update 42 --label ui,ux
glab issue update 42 --unlabel working

```

## Options

```plaintext
  -a, --assignee strings     assign users via username, prefix with '!' or '-' to remove from existing assignees, '+' to add, otherwise replace existing assignees with given users
  -c, --confidential         Make issue confidential
  -d, --description string   Issue description; set to "-" to open an editor
  -l, --label strings        add labels
      --lock-discussion      Lock discussion on issue
  -m, --milestone string     title of the milestone to assign, pass "" or 0 to unassign
  -p, --public               Make issue public
  -t, --title string         Title of issue
      --unassign             unassign all users
  -u, --unlabel strings      remove labels
      --unlock-discussion    Unlock discussion on issue
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
